Application: gvSIG desktop - gvSIG bugs #3200
Falla al recuperar un proyecto con maps (layout) creados.
02/22/2015 09:08 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document layout

Target version: 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89

Severity: Critical Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2269 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando insertamos una vista en un mapa y guardamos el proyecto, falla al intentar volver ha abrirlo.

Es un error reportado por usuarios en la lista de usuarios.

- http://listserv.gva.es/pipermail/gvsig usuarios/2015-February/029303.html
- http://listserv.gva.es/pipermail/gvsig usuarios/2015-February/029363.html

Los usuarios lo han reportado ejecutando en windows, pero muy posiblemente sea independiente de la plataforma.

El error que da al cargar el proyecto es:

ERROR AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.NullPointerException
java.lang.NullPointerException

at org.gvsig.tools.persistence.impl.AbstractPersistentState.getDouble(AbstractPersistentState.java:179)

at org.gvsig.app.project.documents.layout.fframes.FFrameGrid.loadFromState(FFrameGrid.java:729)

at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)

Tambien he obserbado que en uno de los logs que adjuntan esta la guardada del proyecto, y este falla al guardarse con algo como:

ERROR AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Error guardando el proyecto: olga.gvsproj
Error getting or setting the state of an object.

Errors found validating persistent state.

Errors found validating 'org.gvsig.app.project.documents.layout.fframes.FFrameGrid'.

Errors found validating 'Persistence:FFrameGrid'.

Field 'intervalY': Value required.

Field 'intervalX': Value required.

Por si da alguna pista mas.

Related issues:
http://listserv.gva.es/pipermail/gvsig_usuarios/2015-February/029303.html
http://listserv.gva.es/pipermail/gvsig_usuarios/2015-February/029363.html

Related to Application: gvSIG desktop - gvSIG add-on requests # 3220: New add... Closed 02/23/2015

Associated revisions

Revision 333 - 02/23/2015 02:01 PM - Joaquin del Cerro Murciano

refs #3200. Corregida la de persistencia de los campos intervalx e intervaly del FFrameGrid

History

#1 - 02/22/2015 09:42 AM - Joaquin del Cerro Murciano

No he sido capaz de reproducirlo, pero creo que corrigiendo un par de cosas en el codigo dejaria de pasar.
En el metodo FFrameGrid.loadFromState, donde dice:

intervalX = state.getDouble(INTERVALX_FIELD);
intervalY = state.getDouble(INTERVALY_FIELD);

Sustituitlo por:

intervalX = state.get(INTERVALX_FIELD);
intervalY = state.get(INTERVALY_FIELD);

Las variables intervalX y intervalX son objetos Double y el metodo getDouble intenta devolver un double (con minusculas) y no puede a partir de un

null.

Y por otro lado en el metodo FFrameGrid.registerPersistent donde dice:

definition.addDynFieldDouble(INTERVALX_FIELD).setMandatory(true);
definition.addDynFieldDouble(INTERVALY_FIELD).setMandatory(true);

Poner mandatory a false, ya que parece que esas variables pueden ser null.

#2 - 02/23/2015 01:54 PM - Joaquin del Cerro Murciano
- Assignee set to Joaquin del Cerro Murciano

#3 - 02/23/2015 03:30 PM - Joaquin del Cerro Murciano
- Target version set to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)
- Status changed from New to Fixed

#4 - 02/23/2015 03:30 PM - Joaquin del Cerro Murciano
- Related to gvSIG add-on requests #3220: New add-on for org.gvsig.app.document.layout2.app.mainplugin-2.0.44-63 added

#5 - 04/07/2015 12:54 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG(10).log 351 KB 02/22/2015 Joaquin del Cerro Murciano
gvSIG(11).log 344 KB 02/22/2015 Joaquin del Cerro Murciano
